Subject: Re: bug#43013: System reconfigure: expection reached when executing `start` on "file-system-/sys/kernel/debug" // and an unrelated "nouveau"-bug?

From: raingloom <[email-masked]>
Date: Thu, 27 Aug 2020 21:24:24 +0200

On Mon, 24 Aug 2020 09:34:33 +0200
[email-masked] wrote:

> Hello everyone,
> 
> I'm recently running into problems updating my system. I had not 
> reconfigured for a while (1~2 months) and now, when I reconfigure, I
> get the error message below.
> At first I thought it might be related to a specific guix commit, but
> I have now tried four times over the course of 2 weeks, and I always
> get the same error.
> 
> Strangely enough, the only reason why I noticed something is not
> right is that nouveau's displaying behaviour would be weird after
> updating. That is, it seems to either have changed my desktop
> resolution or applied a form of magnification on all text displayed
> (sddm, terminal, ...)
> I have no actual clue if these two things are related to each other
> AT ALL. I was just confused, because if they were totally unrelated,
> I would struggle to understand why these two things happen
> concurrently ;-)
> 
> 
> While the error message is in german, I believe to have translated
> the more important chunks in the Subject field.
> 
> ##### error message #####
> guix system: Bootloader erfolgreich auf „/dev/sdb“ installiert
> guix system: error: Ausnahme aufgetreten bei der Ausführung von
> „start“ auf Dienst „file-system-/sys/kernel/debug“:
> Throw to key `match-error' with args `("match" "no matching pattern" 
> ("none" "/sys/kernel/debug" "debugfs" () #f #f #f))'.
> #######################
> 
> As always, any help is appreciated. One good thing is that I finally 
> learn the virtues of roll-back and switch-generation :)
> 
> Have a good day,
> Olivier
> 
> 
> 

I have this same issue on my Thinkpad, no Nouveau. I also had issues on
my AMDGPU setup. If it's related to graphics, it doesn't seem driver
specific.

It seems that reconfigure only fails during the build phase, not when
it's actually activating the new system, because running reconfigure
again causes no errors.